### Class

# Gtk ClosureExpression

since: 4.0

#### Description [src]

    final class Gtk.ClosureExpression : GObject.TypeInstance
    {
      /* No available fields */
    }

An expression using a custom `GClosure` to compute the value from its parameters.

Available since: 4.0

#### Ancestors

- GtkExpression

#### Constructors

###### gtk_closure_expression_new

Creates a `GtkExpression` that calls `closure` when it is evaluated.

since: 4.0

#### Instance methods

##### Methods inherited from GtkExpression (7)

###### gtk_expression_bind

Bind `target`‘s property named `property` to `self`.

since: 4.0

###### gtk_expression_evaluate

Evaluates the given expression and on success stores the result in `value`.

since: 4.0

###### gtk_expression_get_value_type

Gets the `GType` that this expression evaluates to.

since: 4.0

###### gtk_expression_is_static

Checks if the expression is static.

since: 4.0

###### gtk_expression_ref

Acquires a reference on the given `GtkExpression`.

since: 4.0

###### gtk_expression_unref

Releases a reference on the given `GtkExpression`.

since: 4.0

###### gtk_expression_watch

Watch the given `expression` for changes.

since: 4.0